As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 313918 - IME candidate list is positioned to wrong position if the caret is positioned non-root view
: IME candidate list is positioned to wrong position if the caret is positioned...
Status: RESOLVED FIXED
: inputmethod, intl, jp-critical, verified1.8.1.10
Product: Core
Classification: Components
Component: Event Handling (show other bugs)
: Trunk
: x86 Windows 2000
: -- normal (vote)
: mozilla1.9alpha1
Assigned To: Masayuki Nakano [:masayuki]
: Hixie (not reading bugmail)
: Andrew Overholt [:overholt]
Mentors:
Depends on: 59405 315457
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-26 11:21 PDT by Masayuki Nakano [:masayuki]
Modified: 2010-06-18 19:00 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch rv1.0 (6.71 KB, patch)
2005-10-26 11:28 PDT, Masayuki Nakano [:masayuki]
no flags Details | Diff | Splinter Review
screenshot of current build (10.23 KB, image/png)
2005-10-26 11:28 PDT, Masayuki Nakano [:masayuki]
no flags Details
screenshot of patched windows build (10.40 KB, image/png)
2005-10-26 11:29 PDT, Masayuki Nakano [:masayuki]
no flags Details
Patch rv1.1 (8.30 KB, patch)
2005-10-26 11:44 PDT, Masayuki Nakano [:masayuki]
masayuki: review-
Details | Diff | Splinter Review
Patch rv2.0 (1.61 KB, patch)
2005-10-28 04:49 PDT, Masayuki Nakano [:masayuki]
roc: review+
roc: superreview+
Details | Diff | Splinter Review
Patch for 1.8 branch (attachment 201116 and attachment 202190) (10.51 KB, patch)
2007-11-04 10:11 PST, Masayuki Nakano [:masayuki]
masayuki: review+
masayuki: superreview+
dveditz: approval1.8.1.10+
Details | Diff | Splinter Review

Description User image Masayuki Nakano [:masayuki] 2005-10-26 11:21:25 PDT
If the editor is positioned non-root view(e.g., the option dialog of Firefox/Thunderbird and the Edit Card dialog of Address Book), the IME candidate list window is positioned wrong position.
Comment 1 User image Masayuki Nakano [:masayuki] 2005-10-26 11:28:13 PDT
Created attachment 200893 [details] [diff] [review]
Patch rv1.0

We need to test this patch on non Windows OS.
Comment 2 User image Masayuki Nakano [:masayuki] 2005-10-26 11:28:58 PDT
Created attachment 200895 [details]
screenshot of current build
Comment 3 User image Masayuki Nakano [:masayuki] 2005-10-26 11:29:38 PDT
Created attachment 200897 [details]
screenshot of patched windows build
Comment 4 User image Masayuki Nakano [:masayuki] 2005-10-26 11:38:30 PDT
Bezilla staff:

This patch is changing the XP IME event's reply values.
Could you test this patch on BeOS?
Comment 5 User image Masayuki Nakano [:masayuki] 2005-10-26 11:44:48 PDT
Created attachment 200898 [details] [diff] [review]
Patch rv1.1

Oops... Sorry. Previous patch is not enough.
Comment 6 User image Sergei Dolgov 2005-10-26 11:58:54 PDT
I couldnt' reproduce this bug at BeOS, with native IME dialog btw.
May test those changes when new build is finished, but most probably at coming weekend
Comment 7 User image Masayuki Nakano [:masayuki] 2005-10-26 15:18:48 PDT
Comment on attachment 200898 [details] [diff] [review]
Patch rv1.1

Ah... This patch is wrong. I'll create new patch.
Comment 8 User image Masayuki Nakano [:masayuki] 2005-10-28 04:49:11 PDT
Created attachment 201116 [details] [diff] [review]
Patch rv2.0

This patch is "adhoc".
But we select this way in bug 59405. Because, if we select the best way, we need very large change for this bugs. But this adhoc way makes very small change for us.
Comment 9 User image Masayuki Nakano [:masayuki] 2005-10-28 05:04:10 PDT
Bezilla staff:

The new patch changes only Windows code.
Thanks.
Comment 10 User image Masayuki Nakano [:masayuki] 2005-10-29 05:44:20 PDT
checked-in.

Thank you roc!
Comment 11 User image Masayuki Nakano [:masayuki] 2007-11-04 10:02:57 PST
Momoi-san(Google) reported that this bug can be reproduced with new chat form on Gmail. And I confirmed it, and the patch for this bug and bug 315457 can fix the bug. We should land the patches to 1.8 branch.
Comment 12 User image Masayuki Nakano [:masayuki] 2007-11-04 10:11:54 PST
Created attachment 287316 [details] [diff] [review]
Patch for 1.8 branch (attachment 201116 [details] [diff] [review] and attachment 202190 [details] [diff] [review])

This patch is merged the patch for this bug (attachment 201116 [details] [diff] [review]) and the patch for bug 315457 which is regression of this bug (attachment 202190 [details] [diff] [review]). The patches are already working fine on trunk during a long term. r+sr are carried over from the original patches, this patch is not changed anything from them.
Comment 13 User image Katsuhiko Momoi 2007-11-05 01:04:53 PST
Thanks Nakano-san for proposing to down integrate the fix into the 1.8 branch. 

Google products have a fairly large number of Firefox 2 users. This bug severely affects Chinese and Japanese users of the following products:

1. Gmail (new UI) that went out last week to some users and will be going to all Gmail users shortly.

* Non-detached chat window at bottom right
* Address Book - Name input field for a new entry

2. Google Spreadsheet: current version at docs.google.com

* All cell input 

3. Google Presentation: current version at docs.google.com

* Link text input window

There are likely to be other products with the same problem -- wherever there is a non-root window.

Please get this in asap for the IME users in these countries. Thanks!
Comment 14 User image Daniel Veditz [:dveditz] 2007-11-07 14:52:21 PST
Comment on attachment 287316 [details] [diff] [review]
Patch for 1.8 branch (attachment 201116 [details] [diff] [review] and attachment 202190 [details] [diff] [review])

approved for 1.8.1.10, a=dveditz for release-drivers
Comment 15 User image Masayuki Nakano [:masayuki] 2007-11-08 00:44:47 PST
checked-in.
Comment 16 User image Al Billings [:abillings] 2007-11-15 16:33:23 PST
Masayuki, can you check with the Firefox 2.0.0.10 release candidate at http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/2.0.0.10-candidates/rc1/ and verify that this is fixed?
Comment 17 User image Masayuki Nakano [:masayuki] 2007-11-15 22:27:42 PST
-> v. on 1.8.1.10

Note You need to log in before you can comment on or make changes to this bug.